CSPLIT(1)

NAMN
csplit — dela en fil i delar avgjorda av sammanhangsrader

SYNOPSIS
csplit [FLAGGA]... FIL MÖNSTER...

BESKRIVNING

Skriv ut delar av FIL avdelade med MÖNSTER till filer ”xx00”, ”xx01”, …, och skriv ut byte-antal för varje del till standard ut.

Läs standard in om FIL är -

Obligatoriska argument till långa flaggor är obligatoriska även för de korta.

-b, --suffix-format=FORMAT
    Använd sprintf-FORMAT i stället för %02d.

-f, --prefix=PREFIX
    Använd PREFIX i stället för ”xx”.

-k, --keep-files
    Ta inte bort utfiler vid fel.

--suppress-matched
    Utelämna rader som matchar MÖNSTER.

-n, --digits=SIFFROR
    Använd angivet antal siffror istället för 2.

-s, --quiet, --silent
    Skriv inte ut storleken på utmatningsfiler.

-z, --elide-empty-files
    utelämna tomma utmatningsfiler

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

  Varje MÖNSTER kan vara:

HELTAL
    Kopiera till men ej inklusive angivet radnummer.

/MÖNSTER/[AVSTÅND]
    Kopiera till men ej inklusive en rad som matchar.

%MÖNSTER%[AVSTÅND]
    Hoppa över till men ej inklusive, en rad som matchar.

{HELTAL}
    Upprepa föregående mönster HELTAL gånger.

{*} Upprepa föregående mönster så många gånger som möjligt.

Ett radAVSTÅND är ett heltal eventuellt inlett av ”+” eller ”-”

UPPHOVSMAN
Skrivet av Stuart Kemp och David MacKenzie.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

SE ÄVEN
Fullständig dokumentation <https://www.gnu.org/software/coreutils/csplit>
eller tillgängligt lokalt via: info '(coreutils) csplit invocation'

Paketerat av Debian (9.7-3)
Copyright © 2025 Free Software Foundation, Inc.
Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>
Detta är fri programvara: du får fritt ändra och vidaredistribuera den.
Det finns INGEN GARANTI, så långt lagen tillåter.

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.